Page 1 of 4 123 ... LastLast
Results 1 to 10 of 31

Thread: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired medium

  1. #1

    Default Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired medium

    Hi,

    Since I've installed opensuse 11.4 instead of 11.3, I cannot install .rpm packages nor execute updates. I get the following message:

    "There has been a (probably temporarily) when connecting to the software source/repository" (own translation)

    details: Media source 'http://download.opensuse.org/distribution/11.4/repo/oss/' does not contain the desired medium


    So, probably there is something wrong with my software sources. Could anyone give a suggestion to repair this since I'm not a linux expert and would like to install new software on my newly updated machine.

    thx,

    Wouter

  2. #2

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    Possibly down for a bit. Try it again later.
    Box 1: OpenSuse 11.1/Win7 | Linux 2.6.27 Gnome | AMD 64 X2 6000+ | nVidia 8600GT | 2GB RAM
    Box 2: OpenSuse 11.2 | Linux 2.6.31 Gnome | AMD 64 3000+ | ATI X800 Pro | 1GB RAM
    Box 3: Win7 Premium Home | Intel P4 3.0Gz | ATI AIW 2006 | 2GB RAM

  3. #3

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    It's like this situation since Saturday, so I find it lasting a little bit too long

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media sourcedoes not contain the desired medium

    On 03/15/2011 10:36 AM, sonicboy wrote:
    >
    > It's like this situation since Saturday, so I find it lasting a little
    > bit too long


    please show us the output of entering the following into a terminal

    Code:
    zypper lr -d
    and copy/paste the output back to this thread using the instructions
    here: http://goo.gl/i3wnr

    --
    DenverD
    CAVEAT: http://is.gd/bpoMD
    [NNTP posted w/openSUSE 11.3, KDE4.5.5, Thunderbird3.1.8, nVidia
    173.14.28 3D, Athlon 64 3000+]
    "It is far easier to read, understand and follow the instructions than
    to undo the problems caused by not." DD 23 Jan 11

  5. #5

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    Really? Could you post output as requested by DenverD?
    Box 1: OpenSuse 11.1/Win7 | Linux 2.6.27 Gnome | AMD 64 X2 6000+ | nVidia 8600GT | 2GB RAM
    Box 2: OpenSuse 11.2 | Linux 2.6.31 Gnome | AMD 64 3000+ | ATI X800 Pro | 1GB RAM
    Box 3: Win7 Premium Home | Intel P4 3.0Gz | ATI AIW 2006 | 2GB RAM

  6. #6

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    Quote Originally Posted by tararpharazon View Post
    Really? Could you post output as requested by DenverD?
    I am not "Sonicboy", but i seem to have a similar problem. I started a similar thread a few days ago and it was suggested to me that the repository server may be too busy at the present time.

    If you think there may be a different reason for this, here are my results for "Zypper lr -d":

    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+-------------------+----------------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
    1 | repo-debug | openSUSE-11.4-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/11.4/repo/oss |
    2 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/11.4 |
    3 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
    4 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/oss |
    5 | repo-source | openSUSE-11.4-Source | No | Yes | 99 | NONE | Index of /source/distribution/11.4/repo/oss |
    6 | repo-update | openSUSE-11.4-Update | Yes | Yes | 99 | rpm-md | Index of /update/11.4 |

    Salutations,

    Lokian

  7. #7

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    Hi,

    Here is the output. I translate some bits since it's in dutch :-)

    ingeschakeld=enabled
    vernieuwen=renew
    prioriteit=priority
    ja/nee=yes/no
    bijwerken=update

    Hopefully, this helps you a little bit further.
    thx!


    Code:
    # | Alias                              | Naam                               | Ingeschakeld | Vernieuwen | Prioriteit | Type   | URI                                                                    | Service
    --+------------------------------------+------------------------------------+--------------+------------+------------+--------+------------------------------------------------------------------------+--------
    1 | Bijwerken-van-openSUSE-11.4-11.4-0 | Bijwerken van openSUSE 11.4 11.4-0 | Ja           | Ja         |   99       | rpm-md | http://download.opensuse.org/update/11.4/                              |        
    2 | Packman Repository                 | Packman Repository                 | Ja           | Ja         |   99       | rpm-md | http://packman.inode.at/suse/openSUSE_11.4/                            |        
    3 | libdvdcss repository               | libdvdcss repository               | Ja           | Ja         |   99       | rpm-md | http://opensuse-guide.org/repo/11.4/                                   |        
    4 | openSUSE-11.4-11.4-0               | openSUSE-11.4-11.4-0               | Ja           | Nee        |   99       | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_DVD+_-RW_TS-L632H,/dev/sr0 |        
    5 | repo-debug                         | openSUSE-11.4-Debug                | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/debug/distribution/11.4/repo/oss/         |        
    6 | repo-debug-update                  | openSUSE-11.4-Update-Debug         | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/debug/update/11.4/                        |        
    7 | repo-non-oss                       | openSUSE-11.4-Non-Oss              | Ja           | Ja         |   99       | yast2  | http://download.opensuse.org/distribution/11.4/repo/non-oss/           |        
    8 | repo-oss                           | openSUSE-11.4-Oss                  | Ja           | Ja         |   99       | yast2  | http://download.opensuse.org/distribution/11.4/repo/oss/               |        
    9 | repo-source                        | openSUSE-11.4-Source               | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/source/distribution/11.4/repo/oss/        |

  8. #8

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    Quote Originally Posted by sonicboy View Post
    Hi,

    Here is the output. I translate some bits since it's in dutch :-)

    ingeschakeld=enabled
    vernieuwen=renew
    prioriteit=priority
    ja/nee=yes/no
    bijwerken=update

    Hopefully, this helps you a little bit further.
    thx!


    Code:
    # | Alias                              | Naam                               | Ingeschakeld | Vernieuwen | Prioriteit | Type   | URI                                                                    | Service
    --+------------------------------------+------------------------------------+--------------+------------+------------+--------+------------------------------------------------------------------------+--------
    1 | Bijwerken-van-openSUSE-11.4-11.4-0 | Bijwerken van openSUSE 11.4 11.4-0 | Ja           | Ja         |   99       | rpm-md | http://download.opensuse.org/update/11.4/                              |        
    2 | Packman Repository                 | Packman Repository                 | Ja           | Ja         |   99       | rpm-md | http://packman.inode.at/suse/openSUSE_11.4/                            |        
    3 | libdvdcss repository               | libdvdcss repository               | Ja           | Ja         |   99       | rpm-md | http://opensuse-guide.org/repo/11.4/                                   |        
    4 | openSUSE-11.4-11.4-0               | openSUSE-11.4-11.4-0               | Ja           | Nee        |   99       | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_DVD+_-RW_TS-L632H,/dev/sr0 |        
    5 | repo-debug                         | openSUSE-11.4-Debug                | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/debug/distribution/11.4/repo/oss/         |        
    6 | repo-debug-update                  | openSUSE-11.4-Update-Debug         | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/debug/update/11.4/                        |        
    7 | repo-non-oss                       | openSUSE-11.4-Non-Oss              | Ja           | Ja         |   99       | yast2  | http://download.opensuse.org/distribution/11.4/repo/non-oss/           |        
    8 | repo-oss                           | openSUSE-11.4-Oss                  | Ja           | Ja         |   99       | yast2  | http://download.opensuse.org/distribution/11.4/repo/oss/               |        
    9 | repo-source                        | openSUSE-11.4-Source               | Nee          | Ja         |   99       | NONE   | http://download.opensuse.org/source/distribution/11.4/repo/oss/        |
    In your case could the invalid media be a missing DVD when you try to do the update?
    If you set Ingeschakeld=nee and Vernieuwen=nee, or best delete the DVD repos that might clear up a bad media issue.

  9. #9

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    @sonicboy
    @lokian

    I'm not using any of the Debug repos at this time. Try to disable both Debug repos to see if this helps. I could be wrong but, IIRC, a repo needs a content file to be a valid.
    Also, are both of you using zypper -v ? If not try the update with that.
    Box 1: OpenSuse 11.1/Win7 | Linux 2.6.27 Gnome | AMD 64 X2 6000+ | nVidia 8600GT | 2GB RAM
    Box 2: OpenSuse 11.2 | Linux 2.6.31 Gnome | AMD 64 3000+ | ATI X800 Pro | 1GB RAM
    Box 3: Win7 Premium Home | Intel P4 3.0Gz | ATI AIW 2006 | 2GB RAM

  10. #10

    Default Re: Opensuse 11.4 cannot install RPM or execute updates:media source does not contain the desired me

    I did both remove the dvd repositories and disabled the debug repos, but it didn't bring any changes. Still get the same message.

    When I typed 'zypper -v', i got an how-to-use-command output

    thanx

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •